<?php

/* DCMS Special
 * Дата последнего редактирования 14.12.2015
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'adm_check', 'user', 'delete_user_all_data') as $inc) {
    require_once "../sys/inc/{$inc}.php";
}

access('user_delete', null, 'index.php?' . SID);
adm_check();


if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
} else {
    header("Location: /index.php?" . SID);
    exit;
}

$us = $db->super_query("SELECT COUNT(*) as count FROM `user` WHERE `id` = '$ank[id]' LIMIT 1");
if ($us['count'] == 0) {
    header("Location: /index.php?" . SID);
    exit;
}

$ank = get_user($ank['id']);

if ($user['level'] <= $ank['level']) {
    header("Location: /index.php?" . SID);
    exit;
}

$set['title'] = 'Удаление пользователя "' . $ank['nick'] . '"';
require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Удаление') . " $ank[nick]";
echo "</small></div><br />";

if (isset($_POST['delete'])) {
    if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha'] != $_POST['chislo']) {
        $err[] = 'Неверное проверочное число';
    } else {
        $mass[0] = $ank['id'];
        $collisions = collision($mass, 1);

        delete_user_all_data($ank['id']);

        if (count($collisions) > 1 && isset($_GET['all'])) {
            for ($i = 1; $i < count($collisions); $i++) {
                delete_user_all_data($collisions[$i]);
            }
            admin_log('Пользователи', 'Удаление', "Удаление группы пользователей '$ank[nick]' (id#" . implode(',id#', $collisions) . ")");
            msg('Все данные о пользователях удалены');
        } else {
            admin_log('Пользователи', 'Удаление', "Удаление пользователя '$ank[nick]' (id#$ank[id])");
            msg("Все данные о пользователе $ank[nick] удалены");
        }


        $db->query("OPTIMIZE TABLE `user`");

        echo "<div class='list-group-item-null'><a href='/?users'><i class='fa fa-arrow-left fa-fw'></i> Пользователи</a></div>";

        require_once H . 'sys/inc/tfoot.php';
    }
}

$mass[0] = $ank['id'];
$collisions = collision($mass, 1);

echo "<form method = 'post' class = 'list-group-item-null' action = '?id=$ank[id]'>";
echo "Пользователь <b>$ank[nick]</b><br />";
echo "Рейтинг <b>$ank[rating]</b><br />";
echo "Монеты <b>$ank[money]</b><br />";
echo "Активность <b>$ank[activity]</b><br />";
echo "<img src='/captcha.php?$passgen&amp;SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />";

echo "<input id='chislo' name='chislo' length='2' type='text' value='' class='form-control'><br />";

$doc->Button('btn btn-primary btn-sm', 'delete', 'trash-o', 'Удалить');
echo "</form>\n";

if (count($collisions) > 1 && isset($_GET['all'])) {
    echo "* Также будут удалены пользователи:\n";

    for ($i = 1; $i < count($collisions); $i++) {
        $ank_coll = $db->get_row($db->query("SELECT * FROM `user` WHERE `id` = '$collisions[$i]'"));
        echo "$ank_coll[nick]";
        if ($i == count($collisions) - 1) {
            echo '.';
        } else {
            echo '; ';
        }
    }
    echo "<br />\n";
}

echo "<div class='list-group-item-null list-group-item-warning'>";
echo "Удаленные данные невозможно будет восстановить<br />\n";
echo "</div>";

require_once H . 'sys/inc/tfoot.php';
